Bug 127185 - Kernel panic with acpi=off
Summary: Kernel panic with acpi=off
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-03 13:52 UTC by Holger Thiesemann
Modified: 2015-01-04 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 05:44:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Holger Thiesemann 2004-07-03 13:52:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
passing boot option acpi=off via /boot/grub/menu.lst results in kernel
panic:

Uncomperssing Linux... Ok, booting the kernel
audit (1088860702.847:0): initialized
Red Hat nash version 3.5.22 starting
jbd: version magic '2.6.6-1.435.2.1 686 REGPARM 4KSTACKS gcc-3.3'
should be '2.6.6-1.435.2.3 686 REGPARM 4KSTACKS gcc-3.3' 
insmod: error inserting 'lib/jbd.ko': -1 Invalid module format
ERROR: /bin/insmod exited abnormally!
ext3: version magic '2.6.6-1.435.2.1 686 REGPARM 4KSTACKS gcc-3.3'
should be '2.6.6-1.435.2.3 686 REGPARM 4KSTACKS gcc-3.3' 
insmod: error inserting 'lib/ext3.ko': -1 Invalid module format
ERROR: /bin/insmod exited abnormally!
mount:error 19 mounting ext3
pivotroot: pivot-root (/sysroot, /sysroot/initrd) failed: 2
umount /initrd/proc failed: 2
Kernel panic: No init found. Try passing init= option to kernel



Version-Release number of selected component (if applicable):
2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. booting
    

Additional info:

Showed up after upgrade from 2.6.6-1.435.2.1 to 2.6.6-1.435.2.3 Reason
for using acpi=off: see bug 125553

Comment 1 Dave Jones 2005-01-14 05:44:52 UTC
I'm not sure what you did to get it into that state. did you rpm -U instead of
-i ? You have the modules from one kernel, and the kernel image from another,
which has no chance of working.

removing, and reinstalling the kernel with -i should fix such a problem, but
hopefully you've moved on to one of the updates by now.



Note You need to log in before you can comment on or make changes to this bug.